#
# spec file for package gengetopt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gengetopt
Version:        2.22.6
Release:        13.2
Summary:        Commandline parser generator
License:        GPL-3.0+
Group:          Development/Languages/C and C++
Url:            http://www.gnu.org/software/gengetopt/
Source0:        ftp://ftp.gnu.org/gnu/gengetopt/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/gnu/gengetopt/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring
BuildRequires:  gcc-c++
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gengetopt is a tool to generate C code to parse getopt styled command line
arguments.
It's similar or even more powerful than the well known libpopt but does not
add any run or compile time dependencies to your projects. Moreover
reading/writing the options from/to config files is also supported.

%prep
%setup -q

%build
%configure \
	--docdir=%{_docdir}/%{name}
make --jobs 1

%install
%{?make_install} %{!?make_install:make install DESTDIR=%{buildroot}}

# our system's getopt.h has getopt_long() on board, no need to install sources
rm -rf %{buildroot}%{_datadir}/%{name}
# info's dir file is not auto ignored on some systems
rm -rf %{buildroot}%{_infodir}/dir
# make rpmlint happy and delete INSTALL
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL

%check
make check --jobs 1

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%doc %{_infodir}/*.info*
%doc %{_mandir}/man1/%{name}*
%doc %{_docdir}/%{name}

%changelog
* Mon Mar 16 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Use url for source
- Add gpg signature
- Correct info scriplet dependencies
* Thu Nov  8 2012 sweet_f_a@gmx.de
- update to gengetopt-2.22.6
  * A compilation problem in Mac OS X has been fixed.
  * The version text directive has been added.
  * The commandline option --strict-hidden has been added.
  * Many bugs have been fixed.
- use xz compressed sources
* Wed Feb  8 2012 puzel@suse.com
- cleanup spec file
* Mon Sep 26 2011 sweet_f_a@gmx.de
- update to gengetopt-2.22.5
  * correctly preprocess the specified usage string
  * handle escaped newline chars correctly
  * initialize enum variables with generated null enum
    value instead of -1
  * generated parser compilable with C++
* Sun Sep 18 2011 sweet_f_a@gmx.de
- minor build fixes and spec file polish
* Mon Apr 11 2011 puzel@novell.com
- use spec-cleaner
* Wed Dec 30 2009 puzel@novell.com
- update to gengetopt-2.22.4
  * removed other gcc compilation warnings on generated files
* Fri Oct 16 2009 puzel@novell.com
- update to gengetopt-2.22.3
  * enum option values can contain + and - (thanks to Papp Gyozo).
  * fixed compilation problems due to macro FIX_UNUSED which was not
    in the right place (thanks to Matthew Junker)
  * --header-output-dir and --src_output-dir to store cmdline.h
    separately from cmdline.c (thanks to Yegor Yefremov)
  * #include <getopt.h> in the generated files, instead of "getopt.h"
  * generated functions use prototypes with char ** instead of
  char *const *
* Sun Jun 14 2009 puzel@novell.com
- update to gengetopt-2.22.2
  * removed further compilation warnings for generated files
  * fixed a compilation problems for files generated with --include-getopt
    with some versions of stdlib.h
  * removed dependency from flex library (that generated problems in
    compilation in open solaris)
  * uses PACKAGE_NAME, if defined, for printing help and version
  * uses --docdir if specified for installing documentation
* Thu Apr 30 2009 puzel@suse.cz
- initial package (version 2.22.1)
